### Enumeration

# Qmi UimCardApplicationPersonalizationState

since: 1.10

#### Declaration

    enum Qmi.UimCardApplicationPersonalizationState

#### Description [src]

Card application personalization state.

Available since: 1.10

#### Members

`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_IN_PROGRESS`

  Operation in progress.

  - Value: `1`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_READY`

  Ready.

  - Value: `2`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_CODE_REQUIRED`

  Code required.

  - Value: `3`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_PUK_CODE_REQUIRED`

  PUK code required.

  - Value: `4`
  - Available since: 1.10
`QMI_UIM_CARD_APPLICATION_PERSONALIZATION_STATE_PERMANENTLY_BLOCKED`

  Permanently blocked-.

  - Value: `5`
  - Available since: 1.10

#### Type functions

###### qmi_uim_card_application_personalization_state_get_string

Gets the nickname string for the `QmiUimCardApplicationPersonalizationState` specified at `val`.

since: 1.10